
QGIS Application - Bug report #18143

ELSE expression symbol used when other rules are set invisible in the legend

2018-02-19 11:02 AM - Benjamin Fünfer-Königstein

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.14 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26036

Description

The visibility problem with 'ELSE' described in #13022 still appears when 'ELSE' and the rule set invisible aren't at the same level. So if a

symbol based on a sub rule is set invisible in the legend and above there is a symbol based on 'ELSE', all the sub rules features will then

be represented with the ELSE symbol. Please see test data attached. The Problem also occurs in 2.99.0-Master (commit:9fa12ac57f).

Maybe the issue with counting features is related (#13999).

History

#1 - 2018-02-19 11:02 AM - Benjamin Fünfer-Königstein

- File houses.zip added

#2 - 2018-02-20 12:10 AM - Jürgen Fischer

- Description updated

#3 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-02-24 10:21 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

houses.zip 13.1 KB 2018-02-19 Benjamin Fünfer-Königstein
